/* Bbuuzzb low-level configuration management header file.
   Rick Smereka, Copyright (C) 1999-2002.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original QNX version Feb/99, Rick Smereka

   Ported to Windows 32bit under Code Warrior V4. Mar/98, Rick Smereka

   Ported to HP-UX under GNU C 2.8.1.
   Apr/99, Rick Smereka

   Ported to Red Hat Linux 5.2, Jul/99, Rick Smereka

   Added 'extern "C"' sections in the case of a C++ compiler
   Apr/2000, Rick Smereka

   Added prototype 'dbeng_config_is_session'. Feb/2002,
   Rick Smereka

   Added prototype 'dbeng_config_is_catalog'. Jun/2002,
   Rick Smereka

   Ported to Debian Linux. Nov/2002, Rick Smereka */

/* configuration defaults */

#ifdef OS_UNIX
#define DBENG_DEFAULT_TMP_PATH "/home/rsmereka/tmp"
#define DBENG_DEFAULT_LOG "/home/rsmereka/logs/dbeng.error.log"
#define DBENG_DEFAULT_SESSION "/home/rsmereka/tmp/dbeng.ses"
#define DBENG_DEFAULT_CATALOG "/home/rsmereka/tmp/dbeng.cat"
#endif

#ifdef OS_DOS
#define DBENG_DEFAULT_TMP_PATH "C:\\TMP"
#define DBENG_DEFAULT_LOG "C:\\TMP\\DBENG.ERR"
#define DBENG_DEFAULT_SESSION "C:\\TMP\\DBENG.SES"
#define DBENG_DEFAULT_CATALOG "C:\\TMP\\DBENG.CAT"
#endif

#ifdef OS_WIN32
#define DBENG_DEFAULT_TMP_PATH "C:\\TMP"
#define DBENG_DEFAULT_LOG "C:\\TMP\\DBENG.ERR"
#define DBENG_DEFAULT_SESSION "C:\\TMP\\DBENG.SES"
#define DBENG_DEFAULT_CATALOG "C:\\TMP\\DBENG.CAT"
#endif

/* config file name */

#define DBENG_CONFIG_FILE "dbeng.cfg"

/* function prototypes */

#ifdef __cplusplus
extern "C"
{
#endif

int dbeng_config_read(char *);
int dbeng_config_get_tmp_path(char *);
int dbeng_config_get_log(char *);
int dbeng_config_is_session(char *);
int dbeng_config_is_catalog(char *);
int dbeng_config_get_session(char *);
int dbeng_config_get_catalog(char *);
int dbeng_config_get_log_flag(int *);
int dbeng_config_get_session_flag(int *);
int dbeng_config_get_catalog_flag(int *);
int dbeng_config_get_replicate_flag(int *);
int dbeng_config_get_version(char *);
int dbeng_config_set_tmp_path(char *);
int dbeng_config_set_log(char *);
int dbeng_config_set_session(char *);
int dbeng_config_set_catalog(char *);
int dbeng_config_set_log_flag(int);
int dbeng_config_set_session_flag(int);
int dbeng_config_set_catalog_flag(int);
int dbeng_config_set_replicate_flag(int);

#ifdef __cplusplus
}
#endif
